View Issue Details

IDProjectCategoryView StatusLast Update
0020102mantisbtuipublic2016-10-02 18:41
ReporteraavagyanAssigned Tosyncguru 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-beta.2 
Target Version2.0.0-beta.3Fixed in Version2.0.0-beta.3 
Summary0020102: Support switching saved filters and free text search when filter box is collapsed
Description

I have few suggestions on filters box in modern UI. These are all in the image I'm attaching, but here I add them too:

  • In 1.2.x UI we have full-text search box, which can be used without expanding ugly (it has way too much options so regular users are scared of it) filters box. People tend to have filters box closed all the time, so having most useful part - search box - visible on collapsed filters box is great idea. I suggest to have it (functionality-wise) exactly same way as we have in 1.2.x.

  • Basically same comment about buttons on the right side. Drop-box with saved filters and the rest are useful and can be used without expanding filters box. In Modern UI you have in this prominent location 'advanced filters' and 'make permalink', both of which are one of the lest used functionalities.
Additional Information

Related to http://mantisbt.org/bugs/view.php?id=17919

Tagsmodern-ui

Relationships

related to 0017919 closedsyncguru Modernize Mantis UI 

Activities

Related Changesets

MantisBT: master 53db86d5

2016-08-21 18:29:09

syncguru


Committer: vboctor Details Diff
Show text search bar when the filter is collapsed

Fixes 0020102
mod - core/filter_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - js/common.js Diff File

Issue History

Date Modified Username Field Change
2015-09-11 05:53 aavagyan New Issue
2015-09-11 05:53 aavagyan File Added: modern-design-filters-box-suggestions.png
2015-09-11 06:04 atrol Target Version => 2.0.0-beta.1
2015-09-11 06:05 atrol Relationship added related to 0017917
2015-09-11 09:22 atrol Relationship added related to 0017919
2015-09-11 09:22 atrol Relationship deleted related to 0017917
2015-09-11 10:54 vboctor Assigned To => syncguru
2015-09-11 10:54 vboctor Status new => assigned
2016-07-19 04:21 vboctor Target Version 2.0.0-beta.1 => 2.0.0-beta.2
2016-07-19 21:23 vboctor Summary Suggestions for modern UI => Support switching saved filters and free text search when filter box is collapsed
2016-07-20 20:50 vboctor Tag Attached: modern-ui
2016-08-21 18:36 syncguru Note Added: 0053873
2016-08-28 10:36 atrol Target Version 2.0.0-beta.2 => 2.0.0-beta.3
2016-10-01 13:27 vboctor Changeset attached => MantisBT master 53db86d5
2016-10-01 13:27 vboctor Assigned To syncguru => vboctor
2016-10-01 13:27 vboctor Status assigned => resolved
2016-10-01 13:27 vboctor Resolution open => fixed
2016-10-01 13:27 vboctor Fixed in Version => 2.0.0-beta.3
2016-10-01 13:30 vboctor Assigned To vboctor => syncguru
2016-10-01 13:30 vboctor Product Version => 2.0.0-beta.2
2016-10-02 18:41 vboctor Status resolved => closed